org.apache.cassandra.db.composites

## Class SimpleSparseCellNameType

- java.lang.Object
- - org.apache.cassandra.db.composites.AbstractCType
  - - org.apache.cassandra.db.composites.AbstractCellNameType
    - - org.apache.cassandra.db.composites.AbstractSimpleCellNameType
      - - org.apache.cassandra.db.composites.SimpleSparseCellNameType

All Implemented Interfaces:
  java.util.Comparator<Composite>, CellNameType, CType

    public class SimpleSparseCellNameType
    extends AbstractSimpleCellNameType

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.cassandra.db.composites.CellNameType

`CellNameType.Deserializer`

### Nested classes/interfaces inherited from interface org.apache.cassandra.db.composites.CType

`CType.Serializer`

### Field Summary

### Fields inherited from class org.apache.cassandra.db.composites.AbstractSimpleCellNameType

`type`

### Fields inherited from class org.apache.cassandra.db.composites.AbstractCType

`isByteOrderComparable`

### Constructor Summary

Constructors
Constructor and Description
`SimpleSparseCellNameType(AbstractType<?> type)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addCQL3Column(ColumnIdentifier id)`
`int` `clusteringPrefixSize()` The number of clustering columns for the table this is the type of.
`CQL3Row.Builder` `CQL3RowBuilder(CFMetaData metadata, long now)` Creates a new CQL3Row builder for this type.
`CellName` `create(Composite prefix, ColumnDefinition column)` Creates a new CellName given a clustering prefix and a CQL3 column.
`Composite` `fromByteBuffer(java.nio.ByteBuffer bb)` Deserialize a Composite from a ByteBuffer.
`boolean` `isDense()` Whether or not the cell names for this type are dense.
`CBuilder` `prefixBuilder()` A builder for the clustering prefix.
`void` `removeCQL3Column(ColumnIdentifier id)`
`CellNameType` `setSubtype(int position, AbstractType<?> newType)` Returns a new CellNameType that is equivalent to this one but with one of the subtype replaced by the provided new type.

### Methods inherited from class org.apache.cassandra.db.composites.AbstractSimpleCellNameType

`asAbstractType, builder, compare, getByteOrderAsymmetricColumnComparator, getByteOrderColumnComparator, isCompound, makeCellName, newDeserializer, size, subtype`

### Methods inherited from class org.apache.cassandra.db.composites.AbstractCellNameType

`addOrUpdateCollection, asymmetricColumnComparator, cellFromByteBuffer, cellSerializer, collectionType, columnComparator, columnReverseComparator, columnSerializer, create, diskAtomFilterSerializer, hasCollections, make, makeCellName, makeDenseCQL3RowBuilder, makeSparseCQL3RowBuilder, namesQueryFilterSerializer, onDiskAtomComparator, onDiskAtomSerializer, rowMarker, staticPrefix, supportCollections`

### Methods inherited from class org.apache.cassandra.db.composites.AbstractCType

`checkRemaining, deletionInfoSerializer, equals, getString, hashCode, indexComparator, indexReverseComparator, isByteOrderComparable, isCompatibleWith, rangeTombstoneSerializer, reverseComparator, serializer, sliceBytes, sliceQueryFilterSerializer, sliceSerializer, toString, validate`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.cassandra.db.composites.CType

`deletionInfoSerializer, getString, indexComparator, indexReverseComparator, isCompatibleWith, rangeTombstoneSerializer, reverseComparator, serializer, sliceQueryFilterSerializer, sliceSerializer, validate`

### Methods inherited from interface java.util.Comparator

`comparing, comparing, comparingDouble, comparingInt, comparingLong, equals, naturalOrder, nullsFirst, nullsLast, reversed, reverseOrder, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

### Constructor Detail

#### SimpleSparseCellNameType

    public SimpleSparseCellNameType(AbstractType<?> type)

### Method Detail

#### clusteringPrefixSize

    public int clusteringPrefixSize()

Description copied from interface: `CellNameType`
The number of clustering columns for the table this is the type of.

#### setSubtype

    public CellNameType setSubtype(int position,
                                   AbstractType<?> newType)

Description copied from interface: `CellNameType`
Returns a new CellNameType that is equivalent to this one but with one of the subtype replaced by the provided new type.

#### prefixBuilder

    public CBuilder prefixBuilder()

Description copied from interface: `CellNameType`
A builder for the clustering prefix.

#### isDense

    public boolean isDense()

Description copied from interface: `CellNameType`
Whether or not the cell names for this type are dense.

#### create

    public CellName create(Composite prefix,
                           ColumnDefinition column)

Description copied from interface: `CellNameType`
Creates a new CellName given a clustering prefix and a CQL3 column. Note that for dense types, the column can be null as a shortcut for designing the only COMPACT_VALUE column of the table.

#### fromByteBuffer

    public Composite fromByteBuffer(java.nio.ByteBuffer bb)

Description copied from interface: `CType`
Deserialize a Composite from a ByteBuffer. This is meant for thrift to convert the fully serialized buffer we get from the clients to composites.

#### addCQL3Column

    public void addCQL3Column(ColumnIdentifier id)

#### removeCQL3Column

    public void removeCQL3Column(ColumnIdentifier id)

#### CQL3RowBuilder

    public CQL3Row.Builder CQL3RowBuilder(CFMetaData metadata,
                                          long now)

Description copied from interface: `CellNameType`
Creates a new CQL3Row builder for this type. See CQL3Row for details.